Create Session Attendance
curl --request POST \
--url https://api.swoogo.com/api/v1/session-attendances/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data session_id=123 \
--data registrant_id=123 \
--data 'waiting_room_date=2022-06-26 14:30:00' \
--data 'check_in_date=2022-06-26 14:30:00' \
--data 'check_out_date=2022-06-26 14:30:00' \
--data 'on_demand_date=2022-06-26 14:30:00'import requests
url = "https://api.swoogo.com/api/v1/session-attendances/create"
payload = {
"session_id": "123",
"registrant_id": "123",
"waiting_room_date": "2022-06-26 14:30:00",
"check_in_date": "2022-06-26 14:30:00",
"check_out_date": "2022-06-26 14:30:00",
"on_demand_date": "2022-06-26 14:30:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
session_id: '123',
registrant_id: '123',
waiting_room_date: '2022-06-26 14:30:00',
check_in_date: '2022-06-26 14:30:00',
check_out_date: '2022-06-26 14:30:00',
on_demand_date: '2022-06-26 14:30:00'
})
};
fetch('https://api.swoogo.com/api/v1/session-attendances/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 789,
"session_id": "123",
"registrant_id": "456",
"waiting_room_date": "2022-06-26 14:25:00",
"check_in_date": "2022-06-26 15:30:00",
"check_out_date": "2022-06-26 16:30:00",
"duration": "60",
"on_demand_date": "2022-06-27 10:00:00"
}Session Attendance
Create Session Attendance
Creates a new attendance record to mark a registrant as having attended a session. Requires session_id and registrant_id in the request body. This is separate from session registration and represents actual physical attendance.
POST
/
session-attendances
/
create
Create Session Attendance
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Body
application/x-www-form-urlencodedmultipart/form-data
Response
Session Attendance created successfully
Example:
789
Example:
"123"
Example:
"456"
Example:
"2022-06-26 14:25:00"
Example:
"2022-06-26 15:30:00"
Example:
"2022-06-26 16:30:00"
Example:
"60"
Example:
"2022-06-27 10:00:00"
⌘I